RailzwayDocs
API referenceFare API v1

Organization domains

GET
/v1/domains

Query Parameters

pageSize?integer
Formatint32
pageToken?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/domains"
{  "nextPageToken": "string",  "organizationDomains": [    {      "createTime": "2019-08-24T14:15:22Z",      "hostname": "string",      "name": "string",      "status": "ORGANIZATION_DOMAIN_STATUS_UNSPECIFIED",      "type": "ORGANIZATION_DOMAIN_TYPE_UNSPECIFIED",      "updateTime": "2019-08-24T14:15:22Z",      "verificationRecordName": "string",      "verificationRecordValue": "string",      "verifiedTime": "2019-08-24T14:15:22Z"    }  ]}
POST
/v1/domains

Query Parameters

organizationDomainId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

OrganizationDomain is a hostname routed to one Fare organization.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/domains?organizationDomainId=string" \  -H "Content-Type: application/json" \  -d '{    "hostname": "string"  }'
{  "createTime": "2019-08-24T14:15:22Z",  "hostname": "string",  "name": "string",  "status": "ORGANIZATION_DOMAIN_STATUS_UNSPECIFIED",  "type": "ORGANIZATION_DOMAIN_TYPE_UNSPECIFIED",  "updateTime": "2019-08-24T14:15:22Z",  "verificationRecordName": "string",  "verificationRecordValue": "string",  "verifiedTime": "2019-08-24T14:15:22Z"}
GET
/v1/domains/{name}

Path Parameters

name*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/domains/string"
{  "createTime": "2019-08-24T14:15:22Z",  "hostname": "string",  "name": "string",  "status": "ORGANIZATION_DOMAIN_STATUS_UNSPECIFIED",  "type": "ORGANIZATION_DOMAIN_TYPE_UNSPECIFIED",  "updateTime": "2019-08-24T14:15:22Z",  "verificationRecordName": "string",  "verificationRecordValue": "string",  "verifiedTime": "2019-08-24T14:15:22Z"}
DELETE
/v1/domains/{name}

Path Parameters

name*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/domains/string"
{}
POST
/v1/domains/{name}/verify

Path Parameters

name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/domains/string/verify" \  -H "Content-Type: application/json" \  -d '{}'
{  "createTime": "2019-08-24T14:15:22Z",  "hostname": "string",  "name": "string",  "status": "ORGANIZATION_DOMAIN_STATUS_UNSPECIFIED",  "type": "ORGANIZATION_DOMAIN_TYPE_UNSPECIFIED",  "updateTime": "2019-08-24T14:15:22Z",  "verificationRecordName": "string",  "verificationRecordValue": "string",  "verifiedTime": "2019-08-24T14:15:22Z"}